# BEGIN SourceDeps(oneline):
BuildRequires: perl(Hook/AfterRuntime.pm) perl(Modern/PBP/Perl.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Exporter.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/AttributeShortcuts.pm) perl(MooseX/DeclareX.pm) perl(MooseX/DeclareX/Keyword/interface.pm) perl(MooseX/DeclareX/Plugin/abstract.pm) perl(MooseX/DeclareX/Plugin/singleton.pm) perl(MooseX/DeclareX/Privacy.pm) perl(MooseX/HasDefaults/RO.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(namespace/autoclean.pm) perl(MooseX/Meta/TypeConstraint/Mooish.pm)
# END SourceDeps(oneline)
%define module_version 1.200
%define module_name Modern-PBP-Moose
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.200
Release: alt1
Summary: Loading essential Perl Moose modules in the namespace of
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JV/JVBSOFT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
The PERL Moose modules listed below are included in the namespace of the
including module:

   - namespace::autoclean;
   - Moose
   - Moose::Util::TypeConstraints
   - MooseX::AttributeShortcuts
   - MooseX::DeclareX
   - MooseX::HasDefaults::RO
   - namespace::autoclean

When you exit the namespace an auto-mix 'meta> make_immutable' add
'namespace::autoclean' is executed.

The parameter 'qw{pbp}' are separate getters and setters methods for the
attributes (get_... and set_... or _get_... and _set_...) generated. The
parameter 'qw{no_pbp}' (default), this behavior is suppressed.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Thu Jun 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.200-alt1
- initial import by package builder

